Beiträge von robbo2000

    Hallo zusammen, stehe vor einem mir unerklärlichen Fehler mit J4.2.1 und VM 4.0.6 auf PHP 8.0.x


    Beim Bearbeiten von Verstandmethoden und Bezahlarten zeigt Joomla nach kurzer Zeit einen Error 500 an. Im Errorlog steht folgendes.

    Hatte das schonmal jemand?


    Viele Grüße!


    Hier der Teil aus der error.log:

    [Fri Sep 02 20:50:42.852068 2022] [proxy_fcgi:error] [pid 29377:tid 140218497877760] [client 46.223.162.36:46166] AH01071: Got error 'PHP message: PHP Warning: Trying to access array offset on value of type int in /var/www/vhosts/xyz.de/httpdocs/cms/shop01/administrator/components/com_virtuemart/tables/vmusers.php on line 124PHP message: PHP Warning: Trying to access array offset on value of type null in /var/www/vhosts/xyz.de/httpdocs/cms/shop01/administrator/components/com_virtuemart/tables/vmusers.php on line 124', referer: https://vorschau-shop.xyz.de/a…t&view=user&task=editshop


    [Fri Sep 02 20:51:26.975305 2022] [proxy_fcgi:error] [pid 29377:tid 140218497877760] [client 46.223.162.36:46374] AH01071: Got error 'PHP message: PHP Warning: Trying to access array offset on value of type int in /var/www/vhosts/xyz.de/httpdocs/cms/shop01/administrator/components/com_virtuemart/tables/vmusers.php on line 124PHP message: PHP Warning: Trying to access array offset on value of type null in /var/www/vhosts/xyz.de/httpdocs/cms/shop01/administrator/components/com_virtuemart/tables/vmusers.php on line 124', referer: https://vorschau-shop.xyz.de/a…t&view=user&task=editshop


    [Fri Sep 02 20:52:16.828373 2022] [proxy_fcgi:error] [pid 29378:tid 140218258679552] [client 46.223.162.36:46418] AH01071: Got error 'PHP message: PHP Fatal error: Maximum execution time of 30 seconds exceeded in /var/www/vhosts/xyz.de/httpdocs/cms/shop01/libraries/src/Form/Form.php on line 1399', referer: https://vorschau-shop.xyz.de/a…uemart&view=paymentmethod

    Hallo, habe nochmal getestet. Es scheint zu laufen mit der Konfiguration aus meinem letzten Post. Ich bin sehr froh - das hat Nerven und Zeit gekostet... Danke an StefanSTS für den Tipp mit dem alternativen Sprachpaket von Jooglies!

    Hallo - konnte es nicht erwarten.

    Folgende Konfiguration hat mit einem ersten schnellen Test nicht mehr den Fehler geworfen:

    J4.1.5

    VM 4.0.6

    Deutsches Sprachpaket für VirtueMart von Jooglies.com Version 4.0.2.2

    PHP 8.0


    Es scheint mit dem Sprachpaket von virtuemart.net zusammenzuhängen. Ich teste nachher nochmal genauer.

    :)

    Ich schlage mich auch gerade mit dem Thema rum und habe jetzt zu Testzwecken J3.10 blank installiert und virtuemart mit demodaten auf php8. Erst läufts - nach installation des deutschen Sprachpakets für vm tritt der Fehler auf.

    Ich habe es direkt mal ausprobiert mit einem J3.10 Stand der Webseite auf dem VM noch nicht installiert war. Ich nutze XAMPP mit PHP 8.1.6.

    Virtuemart installiert mit dem DEMO-DAten --> läuft.

    Deutsches Sprachpaket installiert --> Fehler: Argument number specifier must be greater than zero and less than 2147483647


    Ich bin ratlos.

    Nachtrag: habe jetzt zu Testzwecken J3.10 blank installiert und virtuemart mit demodaten auf php8. Erst läufts - nach installation des deutschen Sprachpakets für vm tritt der Fehler wieder auf.


    Thema wird auch hier behandelt: Virtuemart 4 - Shop - Fehler: 0

    Hallo, ich habe den Fehler auch: PHP 8.x Joomla 4.1.x und neueste VM-Version. Demoshop installiert mit Demo-Daten --> läuft.

    Sobald ich dann aber das deutsche Sprachpaket installiere kommt der Fehler 0.

    Ich versuche das mal noch weiter einzugrenzen. Habe das Problem, dass die Webseite schon auf J4 aufgebaut ist und ich einen Shop integrieren möchte. Auf J3 zurück gehen würde ich nur ungern machen.

    Hallo zusammen, ich schaue mit gerade Joomla 4.1.3 mit VM 4.0.2 an. Als Template nutze ich ein angepasstes Child von Cassiopeia. Das ganze läuft noch offline auf xampp. Ich habe keine Overrides für VM.


    Alles ist gut, bis es zur Seite „orderdone" kommt. Die Seite verhaut es komplett, da die Joomla-css und auch meine user.css nicht geladen werden.

    Wenn ich mir den Quelltext anzeigen lasse, dann werden alle css-dateien aufgeführt. Schaue ich mir die Seite mit „untersuchen“ an, dann werden nicht alle css-Dateien geladen (z.B. user.css).


    Hat jemand eine Idee, woran das liegen könnte?


    Viele Grüße!



    Hier der Head mit „untersuchen“ ohne user.css; im Anhang lade ich den vom Browser generierten Quelltext in dem die user.css aufgeführt wird.